<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable
            name="viewmodel"
            type="com.apps.polda.feature.contact.information.FriendInfoViewModel" />
    </data>

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/colorBackground">

        <com.google.android.material.appbar.AppBarLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:elevation="0dp">

            <com.apps.polda.utils.zeewidget.LargeToolbar
                android:id="@+id/ltoolbar"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:iconSecondary_enabled="false"
                app:title="@{`Informasi ` + viewmodel.mFriendName}"
                app:titleAlignment="start" />

        </com.google.android.material.appbar.AppBarLayout>

        <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
            android:id="@+id/srl_cart"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layout_behavior="@string/appbar_scrolling_view_behavior"
            app:onShortRefresh="@{() -> viewmodel.friendData()}">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <LinearLayout
                    android:id="@+id/layout_form"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:layout_centerInParent="true"
                    android:padding="16dp">

                    <RelativeLayout
                        android:layout_width="@dimen/default_profile_image_size"
                        android:layout_height="@dimen/default_profile_image_size"
                        android:padding="12dp"
                        android:layout_gravity="center_horizontal">

                        <ImageView
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:src="@drawable/ic_account_circle"
                            android:onClick="@{() -> viewmodel.openImage()}"
                            app:loadUrl_animatedCircle="@{viewmodel.mFriendPicture}" />

                    </RelativeLayout>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingVertical="4dp"
                        android:paddingHorizontal="64dp"
                        android:layout_gravity="center_horizontal"
                        android:textAllCaps="false"
                        android:textSize="@dimen/sp20"
                        android:textStyle="bold"
                        android:textColor="@color/white"
                        android:text="@{viewmodel.mFriendName}"
                        tools:text="Nama Group"/>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingHorizontal="64dp"
                        android:layout_gravity="center_horizontal"
                        android:textSize="@dimen/sp16"
                        android:textColor="@color/white"
                        android:text="@{viewmodel.mFriendNumber}"
                        tools:text="08756755788"/>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="64dp"
                        android:paddingVertical="16dp"
                        android:paddingHorizontal="64dp"
                        android:layout_gravity="center_horizontal"
                        android:background="@drawable/btn_gradient_blue_light"
                        android:textAllCaps="false"
                        app:visible="@{!viewmodel.mIsFriend}"
                        android:onClick="@{() -> viewmodel.addAsNewFriend()}"
                        android:textSize="@dimen/sp16"
                        android:textColor="@color/white"
                        android:text="@string/add_friend"/>

                    <ProgressBar
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:progressTint="@color/white"
                        android:foregroundTint="@color/white"
                        app:visible="@{viewmodel.loading == true}"
                        app:layout_constraintVertical_bias="0.9"
                        android:layout_gravity="center_horizontal"/>
                </LinearLayout>

            </RelativeLayout>

        </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    </androidx.coordinatorlayout.widget.CoordinatorLayout>

</layout>